#include <avr/io.h>
#include <avr/interrupt.h>
#include <string.h>
#include <stdint.h>

#include "sd/mmc_config.h"	// Hier werden alle noetigen Konfigurationen vorgenommen, umbedingt anschauen !
#include "sd/file.h"
#include "sd/fat.h"
#include "sd/mmc.h"		// Hardware abhaengig
#include "uart.h"		// Hardware abhaengig, es kann auch eine eigene eingebunden werden !

void timer0_init(void);

uint8_t get_key_press( uint8_t key_mask );
uint8_t get_key_rpt( uint8_t key_mask );
uint8_t get_key_short( uint8_t key_mask );
uint8_t get_key_long( uint8_t key_mask );
void ffls_ex(fptr_t uputs_ptr);

#define KEY_DDR         DDRC
#define KEY_PORT        PORTC
#define KEY_PIN         PINC
#define KEY_BACK        0
#define KEY_RIGHT       1
#define KEY_LEFT        2
#define KEY_ENTER		3
#define ALL_KEYS        (1<<KEY_RIGHT | 1<<KEY_BACK | 1<<KEY_LEFT |1<<KEY_ENTER)
